Skip to main content
GET
List Slotting Rule Sets

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

id
integer<int32>
required

The id of the referenced Warehouse.

Query Parameters

fields
enum<string>[]

Specify fields of the SlottingRuleSet object to include in the response.

Available options:
all,
name,
description,
is_active,
rule_count,
has_conflicts,
conflicting_rule_count,
created_at,
updated_at
filter
string[]

Using the filtering syntax, filter results by:

  • id
  • name
  • is_active
sort
string

The default sort order is ascending by id.

The following fields are available for sorting:

  • id
  • name
  • is_active
  • updated_at
count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end
integer

A cursor for use in pagination which defines the last id of the next page of results, non-inclusive. See paging parameters for more information on paging.

cursor_start
integer

A cursor for use in pagination which defines the starting id of the next page of results. See paging parameters for more information on paging.

limit
integer
default:100

Number of SlottingRuleSet objects to return; maximum 250.

Required range: 1 <= x <= 250
Example:

50

Response

A bounded collection of Warehouse Slotting Rule Sets.

collection
SlottingRuleSet · object[]

Slotting Rule Sets matching the query.

included
object

Always empty because Rule Sets have no expandable relationships in this slice.

has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.